set terminal pdf enhanced font "Times-Roman,10"

set output "patch.pdf"

set style data line
set style function lines
set zeroaxis
set grid

!set title font ",7"
!set title "Time evolution of mass of medicine delivered to the blood"
set xlabel "Time (days)"
set ylabel "Mass of medicine (mg)"

!set yrange [0:15]

!set logscale y

plot "ntotal.txt" u ($2)/3600/24:8 lw 3 t 'total',\
     "npatch.txt" u ($2)/3600/24:8 lw 3 t 'patch',\
     "ndermis.txt" u ($2)/3600/24:8 lw 3 t 'dermis',\
     "nepidermis.txt" u ($2)/3600/24:8 lw 3 t 'epidermis'


